root@scilx:/opt/pbs_python-2.9.0# ./configure<br>checking for python... /usr/bin/python<br>checking for python version... 2.3<br>checking for python platform... linux2<br>checking for python script directory... ${prefix}/lib/python2.3/site
<div>-packages
<br>checking for python extension module directory... ${exec_prefix}/lib/python2.3/site-packages<br>configure: creating ./config.status<br>config.status: creating Makefile<br>config.status: creating setup.py<br>root@scilx


:/opt/pbs_python-2.9.0# make<br>#(cd src; make)<br>python setup.py build<br>running build<br>running build_py<br>creating build<br>creating build/lib.linux-i686-2.3<br>copying src/pbs.py -&gt; build/lib.linux-i686-2.3<br>


copying src/PBSQuery.py -&gt; build/lib.linux-i686-2.3<br>running build_ext<br>building &#39;_pbs&#39; extension<br>creating build/temp.linux-i686-2.3<br>creating build/temp.linux-i686-2.3/src<br>gcc
-pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall -Wstrict-prototypes
-fPIC -I/usr/include/python2.3 -c src/pbs_wrap.c -o build/temp.linux-
i686-2.3/src/pbs_wrap.o<br>src/pbs_wrap.c:703: warning: function declaration isn&#39;t a prototype<br>src/pbs_wrap.c:885: warning: function declaration isn&#39;t a prototype<br>src/pbs_wrap.c:1288: warning: function declaration isn&#39;t a prototype
<br>src/pbs_wrap.c:1310: warning: function declaration isn&#39;t a prototype<br>In file included from src/pbs_wrap.c:1346:<br>src/pbs_ifl.h:357: warning: function declaration isn&#39;t a prototype<br>In file included from src/pbs_wrap.c:1347:
<br>src/pbs_error.h:204: warning: function declaration isn&#39;t a prototype<br>src/pbs_wrap.c: In function `Get_List_Size&#39;:<br>src/pbs_wrap.c:1372: warning: control reaches end of non-void function<br>src/pbs_wrap.c: At top level:
<br>src/pbs_wrap.c:1451: warning: function declaration isn&#39;t a prototype<br>src/pbs_wrap.c:1459: warning: function declaration isn&#39;t a prototype<br>src/pbs_wrap.c:1698: warning: function declaration isn&#39;t a prototype
<br>src/pbs_wrap.c:5185: warning: function declaration isn&#39;t a prototype<br>src/pbs_wrap.c:214: warning: `SWIG_TypeDynamicCast&#39; defined but not used<br>src/pbs_wrap.c:402: warning: `SWIG_UnpackDataName&#39; defined but not used
<br>src/pbs_wrap.c:482: warning: `SWIG_PropagateClientData&#39; defined but not used<br>src/pbs_wrap.c:1181: warning: `SWIG_Python_MustGetPtr&#39; defined but not used<br>src/pbs_wrap.c:1195: warning: `SWIG_Python_ConvertPacked&#39; defined but not used
<br>src/pbs_wrap.c:1480: warning: `SWIG_CheckLongInRange&#39; defined but not used<br>src/pbs_wrap.c:1570: warning: `SWIG_Check_int&#39; defined but not used<br>src/pbs_wrap.c:1732: warning: `SWIG_CheckUnsignedLongInRange&#39; defined but not used
<br>src/pbs_wrap.c:1816: warning: `SWIG_Check_unsigned_SS_int&#39; defined but not used<br>gcc -pthread -shared build/temp.linux-i686-2.3/src/pbs_wrap.o -L/usr/local/lib -ltorque -o build/lib.linux-i686-2.3/_pbs.so<br>root@scilx


:/opt/pbs_python-2.9.0# make install<br>#(cd src; make)<br>python setup.py build<br>running build<br>running build_py<br>running build_ext<br>#mkdir -p //usr/local/lib/python2.3/site-packages //usr/local/bin<br>#install build/lib*/* //usr/local/lib/python2.3/site-packages
<br>#(cd examples; for i in *py; do install $i&nbsp; //usr/share/doc/pbs-python/examples/${i//.py/}; done)<br>#python ./setup.py install --prefix //usr/local/lib/python2.3/site-packages ;<br>python ./setup.py install --prefix //usr/local ;
<br>running install<br>running build<br>running build_py<br>running build_ext<br>running install_lib<br>copying build/lib.linux-i686-2.3/_pbs.so -&gt; //usr/local/lib/python2.3/site-packages/pbs<br>creating //usr/local/lib/python2.3/site-packages/pbs.pth
<br>install -D LICENSE.SARA //usr/share/doc/pbs-python/LICENSE.SARA<br>(cd examples; for i in *py; do install -D $i&nbsp; //usr/share/doc/pbs-python/examples/${i}; done)<br>root@scilx:/opt/pbs_python-2.9.0# /usr/share/doc/pbs-python/examples/pbs_version.py
<br>Traceback (most recent call last):<br>&nbsp; File &quot;/usr/share/doc/pbs-python/examples/pbs_version.py&quot;, line 11, in ?<br>&nbsp;&nbsp;&nbsp; import pbs<br>&nbsp; File &quot;/usr/local/lib/python2.3/site-packages/pbs/pbs.py&quot;, line 5, in ?
<br>&nbsp;&nbsp;&nbsp; import _pbs<br>ImportError: libtorque.so.0: cannot open shared object file: No such file or directory<br><br>BUT the file exists!<br><br>root@scilx:/opt/pbs_python-2.9.0# locate libtorque.so.0<br>/opt/torque-2.1.6


/tpackages/clients/usr/local/lib/libtorque.so.0<br>/opt/torque-2.1.6/tpackages/clients/usr/local/lib/libtorque.so.0.0.0<br>/opt/torque-2.1.6/tpackages/devel/usr/local/lib/libtorque.so.0<br>/opt/torque-2.1.6/tpackages/devel/usr/local/lib/libtorque.so.0.0.0
<br>/opt/torque-2.1.6/tpackages/mom/usr/local/lib/libtorque.so.0<br>/opt/torque-2.1.6/tpackages/mom/usr/local/lib/libtorque.so.0.0.0<br>/opt/torque-2.1.6/tpackages/server/usr/local/lib/libtorque.so.0<br>/opt/torque-2.1.6

/tpackages/server/usr/local/lib/libtorque.so.0.0.0
<br>/usr/local/lib/libtorque.so.0<br>/usr/local/lib/libtorque.so.0.0.0<br>root@scilx:/usr/local/lib/python2.3/site-packages/pbs# ls -al /usr/local/lib/libtorque.*<br>-rw-r--r--&nbsp; 1 root staff 2402642 2006-12-12 21:14 /usr/local/lib/libtorque.a
<br>-rwxr-xr-x&nbsp; 1 root staff&nbsp;&nbsp;&nbsp;&nbsp; 720 2006-12-12 21:14 /usr/local/lib/libtorque.la<br>lrwxrwxrwx&nbsp; 1 root staff&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 18 2006-12-12 21:14 /usr/local/lib/libtorque.so -&gt; libtorque.so.0.0.0<br>lrwxrwxrwx&nbsp; 1 root staff&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 18 2006-12-12 21:14 /usr/local/lib/libtorque.so.0 -&gt; 
libtorque.so.0.0.0<br>-rwxr-xr-x&nbsp; 1 root staff 1122905 2006-12-12 21:14 /usr/local/lib/libtorque.so.0.0.0<br><br>Finally I try to import directly from /usr/local/lib/python2.3/site-packages/pbs but the error prestist<br>

<br>
root@scilx:/usr/local/lib/python2.3/site-packages/pbs# python2.3<br>Python 2.3.5 (#2, Oct 16 2006, 19:19:48)<br>[GCC 3.3.5 (Debian 1:3.3.5-13)] on linux2<br>Type &quot;help&quot;, &quot;copyright&quot;, &quot;credits&quot; or &quot;license&quot; for more information.
<br>&gt;&gt;&gt; import pbs<br>Traceback (most recent call last):<br>&nbsp; File &quot;&lt;stdin&gt;&quot;, line 1, in ?<br>&nbsp; File &quot;/usr/local/lib/python2.3/site-packages/pbs/pbs.py&quot;, line 5, in ?<br>&nbsp;&nbsp;&nbsp; import _pbs
<br>
ImportError: libtorque.so.0: cannot open shared object file: No such file or directory<br><br>What&#39;s wrong?<br><br>Thanks<br><br>-- <br><span>Filippo Spiga</span></div>